﻿/* 公共样式 */
html {
    height: 100%;
}

html,
body {
    /*font-family: 微软雅黑 !important;*/
    font-family: "Noto Sans SC" !important;
}

body {
    min-height: 100%;
    display: flex;
    flex-direction: column;
}

body > .container {
    flex: 1;
}

body,
div,
dl,
dt,
dd,
ul,
ol,
li,
h1,
h2,
h3,
h4,
h5,
h6,
pre,
code,
form,
fieldset,
legend,
input,
textarea,
p,
blockquote,
th,
td,
hr,
button,
article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section {
    margin: 0;
    padding: 0;
}

ol,
ul {
    list-style: none
}

img {
    display: block;
    width: 100%;
}

.row {
    width: 16rem;
    margin: 0 auto;
}

h1 {
    font-size: 0.68rem;
    font-weight: bold;
}

h2 {
    font-size: 0.36rem;
    font-weight: 400;
}

h3 {
    font-size: 0.2rem;
    font-weight: bold;
}

a {
    text-decoration: none;
}

::-webkit-input-placeholder {
    /* WebKit browsers */
    color: #C2C2C2;
}

.row-ellipsis {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.row-2-ellipsis {
    text-overflow: ellipsis;
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    word-break: break-all;
}

.clearfix::after {
    content: '.';
    display: block;
    height: 0;
    clear: both;
    visibility: hidden;
}

.text-right {
    text-align: right;
}

.text-left {
    text-align: left;
}

.layout-left-zero {
    left: 0;
}

.layout-right-zero {
    right: 0;
}

.text-bold {
    font-weight: bold;
}

